type: prog

niveau: base

titre: Bénéfices annuels -2-

objectif: Utiliser un tableau dynamique de bénéfices pour extraire celui d'un mois précis

énoncé: |
  Une entreprise utilise un **tableau dynamique** qui contient les `bénéfices` des __12__ mois de l'année.  
  Les douze `bénéfices` de l'année sont reçus en entrée.  
  On souhaite déterminer le `bénéfice` du `mois` dont le numéro est reçu en entrée.  
  Si le numéro du `mois` est inapproprié, le message `mois incorrect` est produit en sortie.

  ### Entrées

  - `bénéfices` (tableau de 12 nombres entiers)
  - `mois` (nombre entier)

  ### Sortie attendue

   `bénéfice` (nombre entier)


  ### À faire

  Compléter le code pour produire en sortie le `bénéfice` du mois correspondant au numéro du mois reçu en entrée.

  ### Exemples

  1. Le huitième mois

   - Entrées :
  ```
      10
      20
      30
      40
      50
      60
      70
      80
      90
      100
      110
      120
      8

  ```

   - Sortie attendue :
  ```
      80

  ```

    2. Le premier mois

   - Entrées :
  ```
      10
      20
      30
      40
      50
      60
      70
      80
      90
      100
      110
      120
      1

  ```

   - Sortie attendue :
  ```
      10

  ```
ébauches:
    java: !include exec.java


rétroactions:
    positive: Bravo !
    négative: Attention, l'indice du tableau commence à zéro et non 1, et veiller à vérifier si le mois est correct avant de le mettre en indice.

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

